# Created by pyp2rpm-1.0.1
%global pypi_name xlutils

Name:           python-xlutils
Version:        2.0.0
Release:        %mkrel 8
Group:          Development/Python
Summary:        Utilities for working with Excel files that require both xlrd and xlwt
License:        MIT
URL:            https://www.python-excel.org/
Source0:        https://pypi.python.org/packages/source/x/xlutils/xlutils-%{version}.tar.gz
# fix for doc build with sphinx 8.1
Patch0:         python-xlutils-docs.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pkginfo)
BuildRequires:  python3dist(setuptools)

# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(xlrd)
BuildRequires:  python3dist(xlwt)

%description
A collection of utilities for working with Excel files. Since these utilities
may require either or both of the xlrd and xlwt packages, they are collected
together here, separate from either package.

%package -n     python3-%{pypi_name}
Summary:        Utilities for working with Excel files that require both xlrd and xlwt
Requires:       python3-xlrd >= 0.7.2
Requires:       python3-xlwt >= 0.7.4
Conflicts:      python-%{pypi_name} < 2.0.0

%description -n python3-%{pypi_name}
A collection of utilities for working with Excel files. Since these utilities
may require either or both of the xlrd and xlwt packages, they are collected
together here, separate from either package.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=$(pwd) sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files xlutils

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.rst xlutils/license.txt
%{_bindir}/margins


%changelog
* Thu Feb 20 2025 daviddavid <daviddavid> 2.0.0-8.mga10
+ Revision: 2150003
- fix for doc build with sphinx 8.1

* Thu Feb 22 2024 papoteur <papoteur> 2.0.0-7.mga10
+ Revision: 2043235
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 2.0.0-6.mga9
+ Revision: 1833269
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 2.0.0-5.mga9
+ Revision: 1779548
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.0.0-4.mga9
+ Revision: 1732687
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1532696
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 2.0.0-2.mga8
+ Revision: 1441107
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 25 2019 wally <wally> 2.0.0-1.mga8
+ Revision: 1431925
- new version 2.0.0
- build python3 and make it to default

* Wed Sep 19 2018 umeabot <umeabot> 1.7.0-8.mga7
+ Revision: 1274858
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.7.0-7.mga6
+ Revision: 939046
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-6.mga5
+ Revision: 746205
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.0-5.mga5
+ Revision: 730018
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-4.mga5
+ Revision: 688434
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Wed Jan 08 2014 joequant <joequant> 1.7.0-2.mga4
+ Revision: 565567
- push to core/release

* Sat Jan 04 2014 joequant <joequant> 1.7.0-1.mga4
+ Revision: 564571
- imported package python-xlutils

